Package ghidra.formats.gfilesystem.annotations

# Annotation Interface FileSystemInfo

@Retention(RUNTIME) @Target(TYPE) public @interface FileSystemInfo
Specifies the info needed of a `GFileSystem` implementation.

- `type()` is required.
- `description()` is optional.
- `factory()` is required.

- ## Required Element Summary

  Required Elements
  Modifier and Type
  Required Element
  Description
  `Class<? extends GFileSystemFactory<?>>`
  `factory`
  The `GFileSystemFactory` class that will be responsible for probing and creating instances of this filesystem.
  `String`
  `type`
  The 'type' of this filesystem, a short 1 word, lowercase string used in FSRLs to reference this filesystem, "[a-z0-9]+" only.

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `String`
  `description`
  A longer description of this filesystem.
  `int`
  `priority`
  The relative priority of filesystems during probing.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `PRIORITY_DEFAULT`
  `static final int`
  `PRIORITY_HIGH`
  `static final int`
  `PRIORITY_LOW`
  `static final int`
  `PRIORITY_LOWEST`

- ## Field Details

  - ### PRIORITY_DEFAULT

    static final int PRIORITY_DEFAULT
    See Also:
      - Constant Field Values

  - ### PRIORITY_HIGH

    static final int PRIORITY_HIGH
    See Also:
      - Constant Field Values

  - ### PRIORITY_LOW

    static final int PRIORITY_LOW
    See Also:
      - Constant Field Values

  - ### PRIORITY_LOWEST

    static final int PRIORITY_LOWEST
    See Also:
      - Constant Field Values

- ## Element Details

  - ### type

    String type
    The 'type' of this filesystem, a short 1 word, lowercase string used in FSRLs to reference this filesystem, "[a-z0-9]+" only.
    Returns:
      Short 1 word lowercase String.

  - ### description

    String description
    A longer description of this filesystem.
    Returns:
      Free form description string, defaults to empty string if not set.
    Default:
      `""`

  - ### factory

    Class<? extends GFileSystemFactory<?>> factory
    The `GFileSystemFactory` class that will be responsible for probing and creating instances of this filesystem.
    Returns:
      Class that implements `GFileSystemFactory`

  - ### priority

    int priority
    The relative priority of filesystems during probing.

    Higher numeric values are considered before lower values.

    Returns:
      integer that specifies the relative ordering of filesystems during probing.
    Default:
      `0`